Upstream information

CVE-2015-3243 at MITRE

Description

rsyslog uses weak permissions for generating log files, which allows local users to obtain sensitive information by reading files in /var/log/cron.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 1098851 [IN_PROGRESS], 935393 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 3.0
  • rsyslog >= 8.24.0-3.11.1
Patchnames:
SUSE-CAASP-3.0-2018-1700
SUSE CaaS Platform ALL
  • rsyslog >= 8.24.0-3.3.1
Patchnames:
SUSE-CAASP-ALL-2018-1375
SUSE Linux Enterprise Desktop 12 SP3
  • rsyslog >= 8.24.0-3.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1375
SUSE Linux Enterprise Module for Basesystem 15
  • rsyslog >= 8.33.1-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-1318
SUSE Linux Enterprise Module for Server Applications 15
  • rsyslog >= 8.33.1-3.3.1
  • rsyslog-module-gssapi >= 8.33.1-3.3.1
  • rsyslog-module-mysql >= 8.33.1-3.3.1
  • rsyslog-module-pgsql >= 8.33.1-3.3.1
  • rsyslog-module-relp >= 8.33.1-3.3.1
  • rsyslog-module-snmp >= 8.33.1-3.3.1
  • rsyslog-module-udpspoof >= 8.33.1-3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-1318
SUSE Linux Enterprise Server 12 SP3
  • rsyslog >= 8.24.0-3.3.1
  • rsyslog-diag-tools >= 8.24.0-3.3.1
  • rsyslog-doc >= 8.24.0-3.3.1
  • rsyslog-module-gssapi >= 8.24.0-3.3.1
  • rsyslog-module-gtls >= 8.24.0-3.3.1
  • rsyslog-module-mysql >= 8.24.0-3.3.1
  • rsyslog-module-pgsql >= 8.24.0-3.3.1
  • rsyslog-module-relp >= 8.24.0-3.3.1
  • rsyslog-module-snmp >= 8.24.0-3.3.1
  • rsyslog-module-udpspoof >= 8.24.0-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1375
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • rsyslog >= 8.24.0-3.3.1
  • rsyslog-diag-tools >= 8.24.0-3.3.1
  • rsyslog-doc >= 8.24.0-3.3.1
  • rsyslog-module-gssapi >= 8.24.0-3.3.1
  • rsyslog-module-gtls >= 8.24.0-3.3.1
  • rsyslog-module-mysql >= 8.24.0-3.3.1
  • rsyslog-module-pgsql >= 8.24.0-3.3.1
  • rsyslog-module-relp >= 8.24.0-3.3.1
  • rsyslog-module-snmp >= 8.24.0-3.3.1
  • rsyslog-module-udpspoof >= 8.24.0-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1375
openSUSE Leap 15.0
  • rsyslog >= 8.33.1-lp150.2.3.2
  • rsyslog-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-debugsource >= 8.33.1-lp150.2.3.2
  • rsyslog-diag-tools >= 8.33.1-lp150.2.3.2
  • rsyslog-diag-tools-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-doc >= 8.33.1-lp150.2.3.2
  • rsyslog-module-dbi >= 8.33.1-lp150.2.3.2
  • rsyslog-module-dbi-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-elasticsearch >= 8.33.1-lp150.2.3.2
  • rsyslog-module-elasticsearch-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gcrypt >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gcrypt-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gssapi >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gssapi-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gtls >= 8.33.1-lp150.2.3.2
  • rsyslog-module-gtls-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-mmnormalize >= 8.33.1-lp150.2.3.2
  • rsyslog-module-mmnormalize-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-mysql >= 8.33.1-lp150.2.3.2
  • rsyslog-module-mysql-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omamqp1 >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omamqp1-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omhttpfs >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omhttpfs-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omtcl >= 8.33.1-lp150.2.3.2
  • rsyslog-module-omtcl-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-pgsql >= 8.33.1-lp150.2.3.2
  • rsyslog-module-pgsql-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-relp >= 8.33.1-lp150.2.3.2
  • rsyslog-module-relp-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-snmp >= 8.33.1-lp150.2.3.2
  • rsyslog-module-snmp-debuginfo >= 8.33.1-lp150.2.3.2
  • rsyslog-module-udpspoof >= 8.33.1-lp150.2.3.2
  • rsyslog-module-udpspoof-debuginfo >= 8.33.1-lp150.2.3.2
Patchnames:
openSUSE-2018-738
openSUSE Leap 42.3
  • rsyslog >= 8.24.0-2.3.1
  • rsyslog-debuginfo >= 8.24.0-2.3.1
  • rsyslog-debugsource >= 8.24.0-2.3.1
  • rsyslog-diag-tools >= 8.24.0-2.3.1
  • rsyslog-diag-tools-debuginfo >= 8.24.0-2.3.1
  • rsyslog-doc >= 8.24.0-2.3.1
  • rsyslog-module-dbi >= 8.24.0-2.3.1
  • rsyslog-module-dbi-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-elasticsearch >= 8.24.0-2.3.1
  • rsyslog-module-elasticsearch-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-gcrypt >= 8.24.0-2.3.1
  • rsyslog-module-gcrypt-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-gssapi >= 8.24.0-2.3.1
  • rsyslog-module-gssapi-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-gtls >= 8.24.0-2.3.1
  • rsyslog-module-gtls-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-guardtime >= 8.24.0-2.3.1
  • rsyslog-module-guardtime-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-mmnormalize >= 8.24.0-2.3.1
  • rsyslog-module-mmnormalize-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-mysql >= 8.24.0-2.3.1
  • rsyslog-module-mysql-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-omamqp1 >= 8.24.0-2.3.1
  • rsyslog-module-omamqp1-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-omhttpfs >= 8.24.0-2.3.1
  • rsyslog-module-omhttpfs-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-omtcl >= 8.24.0-2.3.1
  • rsyslog-module-omtcl-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-pgsql >= 8.24.0-2.3.1
  • rsyslog-module-pgsql-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-relp >= 8.24.0-2.3.1
  • rsyslog-module-relp-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-snmp >= 8.24.0-2.3.1
  • rsyslog-module-snmp-debuginfo >= 8.24.0-2.3.1
  • rsyslog-module-udpspoof >= 8.24.0-2.3.1
  • rsyslog-module-udpspoof-debuginfo >= 8.24.0-2.3.1
Patchnames:
openSUSE-2018-789


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 rsyslog Released
SUSE Linux Enterprise Desktop 12 GA rsyslog Not affected
SUSE Linux Enterprise Desktop 12 SP3 rsyslog Released
SUSE Linux Enterprise Module for Basesystem 15 GA rsyslog Released
SUSE Linux Enterprise Module for Server Applications 15 GA rsyslog Released
SUSE Linux Enterprise Server 11 SP2 rsyslog Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS rsyslog Not affected
SUSE Linux Enterprise Server 11 SP3 rsyslog Not affected
SUSE Linux Enterprise Server 11 SP4 rsyslog Not affected
SUSE Linux Enterprise Server 12 GA rsyslog Not affected
SUSE Linux Enterprise Server 12 SP3 rsyslog Released
SUSE Linux Enterprise Server for VMWare 11 SP2 rsyslog Not affected
SUSE Linux Enterprise Server for VMWare 11 SP3 rsyslog Not affected